incubator-ooo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Pedro Giffuni <...@apache.org>
Subject Re: Trying to compile on Solaris 11
Date Sun, 08 Jan 2012 00:48:55 GMT


--- Sab 7/1/12, Paul Gress <pgress@optonline.net> ha scritto:

...
> 
> Going slowly but surely.  Got dmake at "http://tools.openoffice.org/dmake/dmake_4.11.zip"
> compiled it and installed it.  Now the next show
> stopper.
> 
> 
> New configure error:
> 
> .
> .
> .
> checking for perl... /usr/bin/perl
> checking the Perl version... checked (perl 5)
> checking for required Perl modules... Can't locate
> Archive/Zip.pm in @INC (@INC contains:
> /usr/perl5/site_perl/5.12/i86pc-solaris-64int
> /usr/perl5/site_perl/5.12
> /usr/perl5/vendor_perl/5.12/i86pc-solaris-64int
> /usr/perl5/vendor_perl/5.12
> /usr/perl5/5.12/lib/i86pc-solaris-64int /usr/perl5/5.12/lib
> .) at -e line 1.
> BEGIN failed--compilation aborted at -e line 1.
> configure: error: Failed to find some modules
> bash-4.1$
> 
> Any ideas on this?
> 

you need a perl 5 extension called Archive-Zip

Based on the FreeBSD port you will also need:

devel/bison
devel/ant (even if you disable java!)
print/cups-client
GNU versions of patch, perf, cp and probably tar.

good luck,

Pedro.


Mime
View raw message